function output=check_coloring_results(G,C)
%% Check if the graph is colored successfully

n=size(G,1);
for i=1:n
    for j=i:n
       if G(i,j)==1
           if C(i)==C(j)
               disp([i j]);
               error('Coloring result is not right!!');
               output=0;
               return;
           end
       end
    end
end
output=1;


